package com.gic.haoban.manage.service.pojo.bo.role;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 *
 *
 * @author mozhu
 * @since 2022-09-06 16:35:10
 */
public class HaobanMenuBO implements Serializable {

    private static final long serialVersionUID = 909873156099677525L;

    /**
     * 菜单code
     */
    private String menuCode;
    /**
     * 菜单名称
     */
    private String menuName;
    /**
     * 菜单url
     */
    private String menuUrl;
    /**
     * 菜单图标url
     */
    private String iconUrl;
    /**
     * 层级
     */
    private Integer menuLevel;
    /**
     * 0:菜单；1:按钮
     */
    private Integer menuType;
    /**
     * 排序
     */
    private Integer menuSort;
    /**
     * 父code
     */
    private String parentCode;

    private String routePath;
    /**
     * 1:正常；0:删除
     */
    private Integer statusFlag;

    private String ownerShip;

    private Date createTime;

    private Date updateTime;

    private List<HaobanMenuBO> menuBOList;
    
    private int authControl ;
    private String btnCodeRel ;

    public int getAuthControl() {
        return authControl;
    }

    public String getBtnCodeRel() {
        return btnCodeRel;
    }

    public void setAuthControl(int authControl) {
        this.authControl = authControl;
    }

    public void setBtnCodeRel(String btnCodeRel) {
        this.btnCodeRel = btnCodeRel;
    }
    public String getMenuCode() {
        return menuCode;
    }

    public void setMenuCode(String menuCode) {
        this.menuCode = menuCode;
    }

    public String getMenuName() {
        return menuName;
    }

    public void setMenuName(String menuName) {
        this.menuName = menuName;
    }

    public String getMenuUrl() {
        return menuUrl;
    }

    public void setMenuUrl(String menuUrl) {
        this.menuUrl = menuUrl;
    }

    public String getIconUrl() {
        return iconUrl;
    }

    public void setIconUrl(String iconUrl) {
        this.iconUrl = iconUrl;
    }

    public Integer getMenuLevel() {
        return menuLevel;
    }

    public void setMenuLevel(Integer menuLevel) {
        this.menuLevel = menuLevel;
    }

    public Integer getMenuType() {
        return menuType;
    }

    public void setMenuType(Integer menuType) {
        this.menuType = menuType;
    }

    public Integer getMenuSort() {
        return menuSort;
    }

    public void setMenuSort(Integer menuSort) {
        this.menuSort = menuSort;
    }

    public String getParentCode() {
        return parentCode;
    }

    public void setParentCode(String parentCode) {
        this.parentCode = parentCode;
    }

    public Integer getStatusFlag() {
        return statusFlag;
    }

    public void setStatusFlag(Integer statusFlag) {
        this.statusFlag = statusFlag;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public List<HaobanMenuBO> getMenuBOList() {
        return menuBOList;
    }

    public void setMenuBOList(List<HaobanMenuBO> menuBOList) {
        this.menuBOList = menuBOList;
    }

    public String getRoutePath() {
        return routePath;
    }

    public void setRoutePath(String routePath) {
        this.routePath = routePath;
    }

    public String getOwnerShip() {
        return ownerShip;
    }

    public void setOwnerShip(String ownerShip) {
        this.ownerShip = ownerShip;
    }
}

